SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002035: LDAP authentication doesn't support spaces in names - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002035Endian FirewallProxy HTTPpublic2009-07-24 09:062010-11-22 12:08
Reporterluca-endian 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2 
Target Version2.3.1Fixed in Version2.4.1 
Summary0002035: LDAP authentication doesn't support spaces in names
DescriptionThe problem happened with a group name that had a space in it, eg. "IT Users". So when the endian sent the ldap query, the second word was cut off (space is a delimiter). Changing it to "ITUsers" fixed the problem.

I thought further about the spacing issue with the endian, and I do think it is an endian bug. LDAP should indeed support spaces in names, eg. cn=Name Surename
And its the parsing in endian which fails when spaces occur.
Tagspurple
Attached Files

- Relationships

-  Notes
(0004008)
peter-endian (administrator)
2010-03-10 12:15

spaces need to be escaped:
IT Users -> IT\ Users

otherwise squid will not start
(0004009)
peter-endian (administrator)
2010-03-10 12:16

did not test this with an ldap however, but escaped, squid starts
(0004046)
simon-endian (developer)
2010-03-17 08:56

efw-proxy-2.3.70-1.endian7

- Issue History
Date Modified Username Field Change
2009-07-24 09:06 luca-endian New Issue
2009-07-24 09:06 luca-endian Tag Attached: purple
2010-03-10 12:15 peter-endian Note Added: 0004008
2010-03-10 12:15 peter-endian Status new => confirmed
2010-03-10 12:16 peter-endian Note Added: 0004009
2010-03-10 12:16 peter-endian Status confirmed => new
2010-03-10 12:16 peter-endian Assigned To => simon-endian
2010-03-10 12:17 peter-endian Status new => assigned
2010-03-10 12:17 peter-endian Target Version => 2.3.1
2010-03-17 08:56 simon-endian Note Added: 0004046
2010-03-17 08:56 simon-endian Status assigned => resolved
2010-03-17 08:56 simon-endian Fixed in Version => 2.3.1
2010-03-17 08:56 simon-endian Resolution open => fixed
2010-11-22 12:08 peter-endian Fixed in Version 2.3.1 => 2.4.1
2010-11-22 12:08 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker